



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>barchart</title>
      
      
        
          
        <link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.css" type="text/css" />
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="6ac562d5-3b7d-4d85-a2cf-863f5b5300f6" data-root-id="1367"></div>
            
          
        
      
      
        <script type="application/json" id="1488">
          {"a8818d27-060a-46e9-9016-6d8073ce74cc":{"roots":{"references":[{"attributes":{"axis_label":"Purchase","formatter":{"id":"1411","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"ticker":{"id":"1384","type":"BasicTicker"}},"id":"1383","type":"LinearAxis"},{"attributes":{},"id":"1393","type":"WheelZoomTool"},{"attributes":{},"id":"1415","type":"Selection"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1404","type":"VBar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1413","type":"BoxAnnotation"},{"attributes":{"axis_label":"City Category","formatter":{"id":"1409","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"ticker":{"id":"1379","type":"BasicTicker"}},"id":"1378","type":"LinearAxis"},{"attributes":{"callback":null,"data":{"top":[166446,226493,144638],"x":[0,1,2]},"selected":{"id":"1415","type":"Selection"},"selection_policy":{"id":"1414","type":"UnionRenderers"}},"id":"1403","type":"ColumnDataSource"},{"attributes":{},"id":"1374","type":"LinearScale"},{"attributes":{"source":{"id":"1403","type":"ColumnDataSource"}},"id":"1407","type":"CDSView"},{"attributes":{},"id":"1384","type":"BasicTicker"},{"attributes":{},"id":"1390","type":"PanTool"},{"attributes":{"callback":null,"start":0},"id":"1372","type":"DataRange1d"},{"attributes":{},"id":"1414","type":"UnionRenderers"},{"attributes":{"callback":null},"id":"1394","type":"TapTool"},{"attributes":{},"id":"1409","type":"BasicTickFormatter"},{"attributes":{"grid_line_color":null,"ticker":{"id":"1379","type":"BasicTicker"}},"id":"1382","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1388","type":"HoverTool"},{"id":"1389","type":"SaveTool"},{"id":"1390","type":"PanTool"},{"id":"1391","type":"BoxZoomTool"},{"id":"1392","type":"ResetTool"},{"id":"1393","type":"WheelZoomTool"},{"id":"1394","type":"TapTool"}]},"id":"1395","type":"Toolbar"},{"attributes":{"below":[{"id":"1378","type":"LinearAxis"}],"center":[{"id":"1382","type":"Grid"},{"id":"1387","type":"Grid"}],"left":[{"id":"1383","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"1406","type":"GlyphRenderer"}],"title":{"id":"1368","type":"Title"},"toolbar":{"id":"1395","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"1370","type":"DataRange1d"},"x_scale":{"id":"1374","type":"LinearScale"},"y_range":{"id":"1372","type":"DataRange1d"},"y_scale":{"id":"1376","type":"LinearScale"}},"id":"1367","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1376","type":"LinearScale"},{"attributes":{"callback":null},"id":"1370","type":"DataRange1d"},{"attributes":{},"id":"1411","type":"BasicTickFormatter"},{"attributes":{},"id":"1379","type":"BasicTicker"},{"attributes":{"callback":null,"tooltips":[["City Category","@x"],["Purchase","@top"]]},"id":"1388","type":"HoverTool"},{"attributes":{"overlay":{"id":"1413","type":"BoxAnnotation"}},"id":"1391","type":"BoxZoomTool"},{"attributes":{},"id":"1389","type":"SaveTool"},{"attributes":{"text":"Purchase amount by City Category"},"id":"1368","type":"Title"},{"attributes":{},"id":"1392","type":"ResetTool"},{"attributes":{"dimension":1,"ticker":{"id":"1384","type":"BasicTicker"}},"id":"1387","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1405","type":"VBar"},{"attributes":{"data_source":{"id":"1403","type":"ColumnDataSource"},"glyph":{"id":"1404","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1405","type":"VBar"},"selection_glyph":null,"view":{"id":"1407","type":"CDSView"}},"id":"1406","type":"GlyphRenderer"}],"root_ids":["1367"]},"title":"Bokeh Application","version":"1.2.0"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1488').textContent;
                  var render_items = [{"docid":"a8818d27-060a-46e9-9016-6d8073ce74cc","roots":{"1367":"6ac562d5-3b7d-4d85-a2cf-863f5b5300f6"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>